Loading...
Searching...
No Matches
matplotlibcpp::detail::is_callable_impl< true, T > Struct Template Reference

`#include <matplotlibcpp.h>`

## Classes

struct | Check
struct | Derived
struct | Fallback

## Public Types

typedef decltype(test< Derived >(nullptr)) | type
typedef decltype(&Fallback::operator()) | dtype

## Static Public Member Functions

template<typename U>
static std::true_type | test (...)
template<typename U>
static std::false_type | test (Check< void(Fallback::*)(), &U::operator()> *)

## Static Public Attributes

static constexpr bool | value = type::value

## Member Typedef Documentation

## dtype

template<typename T>

typedef decltype(&Fallback::operator()) matplotlibcpp::detail::is_callable_impl< true, T >::dtype

## type

template<typename T>

typedef decltype(test<Derived>(nullptr)) matplotlibcpp::detail::is_callable_impl< true, T >::type

## Member Function Documentation

## test() [1/2]

template<typename T>
template<typename U>

static std::true_type matplotlibcpp::detail::is_callable_impl< true, T >::test | ( |  | ... | ) |

static

## test() [2/2]

template<typename T>
template<typename U>

static std::false_type matplotlibcpp::detail::is_callable_impl< true, T >::test | ( | Check< void(Fallback::* | )(), &U::operator()> * | ) |

static

## Member Data Documentation

## value

template<typename T>

bool matplotlibcpp::detail::is_callable_impl< true, T >::value = type::value

staticconstexpr

The documentation for this struct was generated from the following file:

- include/plotting/matplotlibcpp.h